extends Label

@export var slider: Slider
@export var suffix: String

func _ready() -> void:
	slider.value_changed.connect(_on_slider_value_changed)
	text = str(slider.value).lpad(len(str(slider.max_value)),"0") + " " + suffix

func _on_slider_value_changed(value: float):
	text = str(value).lpad(len(str(slider.max_value)),"0") + " " + suffix
